Charm Needed: The Locker Project

Bug #898714 reported by Jorge Castro on 2011-12-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juju Charms Collection
Wishlist
Benjamin Kerensa

Bug Description

http://lockerproject.org/

"A Locker gives people ownership over their personal data and clear control over how it's protected and shared. Providing flexible APIs for access to that data, Lockers are a powerful way for developers to build applications that leverage rich personal data."

This one will need to leverage the node.js charm:

"The code base of the Locker Project is primarily developed using node.js, with a bit of Python to facilitate some integration points. We use npm to help manage internal system dependencies, and we try to follow TDD/BDD as enthusiastically as our time will allow."

mdz mentions that he'd be happy to give pointers to the person working on this on #lockerproject on freenode.

Matt Zimmerman (mdz) wrote :

Any takers?

Benjamin Kerensa (bkerensa) wrote :

I accept that.

Changed in charms:
assignee: nobody → Benjamin Kerensa (bkerensa)
status: New → In Progress
Benjamin Kerensa (bkerensa) wrote :

Need Review of Initial Commit (Not Frosty)

Changed in charms:
importance: Undecided → Wishlist
status: In Progress → Fix Committed
tags: added: new-charm
Clint Byrum (clint-fewbar) wrote :

Hi Ben! Thanks for submitting. This charm actually has a huge metadata error in it:

$ charm proof
E: FATAL: cannot parse /home/clint/charms/precise/locker/metadata.yaml:mapping values are not allowed here
  in "/home/clint/charms/precise/locker/metadata.yaml", line 6, column 68

$ juju deploy local:locker
2012-05-07 00:59:02,639 INFO Searching for charm local:precise/locker in local charm repository: /home/clint/charms
2012-05-07 00:59:08,310 WARNING Charm 'locker' has a YAML error: mapping values are not allowed here
  in "/home/clint/charms/precise/locker/metadata.yaml", line 6, column 68:
     ... the things you see and do online: the photos you take,
                                         ^
Charm 'local:precise/locker' not found in repository /home/clint/charms

You just need to add a pipe ( as in, | ) after the description: field to make sure yaml treats the next indented block as a single string.

Also, hooks/install has a major error:

'git clone git clone'

On line 23..

Its important that you test your charms before submitting them for review. Please make sure it deploys and works the way you expect it to!

Changed in charms:
status: Fix Committed → Incomplete
Benjamin Kerensa (bkerensa) wrote :

Fixed review items... Notably Juju and lxc have not been playing nicely so its been hard to test on the go.

Changed in charms:
status: Incomplete → Fix Committed
Mark Mims (mark-mims) wrote :

reviewing now

Jorge Castro (jorge) on 2012-05-22
tags: removed: new-charm
Juan L. Negron (negronjl) wrote :

Reviewing this now .

-Juan

Juan L. Negron (negronjl) wrote :

Hi Ben!

Thanks for updating the charm. Here is some feedback on it:

== Blockers ==
- We recently added a requirement for charms to have a maintainer field in the metadata.yaml
  It would look something like:
  maintainer: Benjamin Kerensa <email address hidden>
  As a rule of thumb, it's a good idea to run charm proof ( charm proof <charm> ) before submitting.
  It tries to keep up with changes to the rules as well as new things we find need to be tested.

- When deploying the charm, the install hook fails with the following:
  node.js:201
          throw e; // process.nextTick error, or 'error' event on first tick
  Error: Cannot find module 'async'
  <......>

== Non-blockers ==
- hooks/install line 13
  Please consider moving the port number from a hard-coded value in install to a value in config.yaml.
  This will allow users to change the port number if they need/want to.
  An example of a config.yaml in use can be found here: lp:~charmers/charms/precise/mongodb/trunk
  Check it out and consider adding a config.yaml to your charm.

- hooks/install line 15-17
  Please consider using the existing MongoDB charm ( lp:~charmers/charms/precise/mongodb/trunk ).
  This could be a really good opportunity to showcase how different charms within the Juju ecosystem
  work together.

- hooks/locker-relation-joined line 1
  Please consider not hardcoding the port number here ... once you put the port number in config.yaml,
  you can use config-get <variable> to get the current value.

- There seems to be an orphan bin directory ... I don't see any reason for it to be there.

All in all, this looks good. After you fix the Blockers, I would be happy to review it again.

Thanks,

Juan

Changed in charms:
status: Fix Committed → Invalid
status: Invalid → Incomplete
José Antonio Rey (jose) wrote :

The status of The Locker Project is currently inactive, do we still want a charm for this? Install fails with various errors.

»This project is unmaintained«

Singly has shifted development to Hallway<https://github.com/Singly/hallway>,
a multi-tenant, hosted version of the Locker. If you are interested in
continuing the project, get in touch with the developers
list<http://bit.ly/singly-dev-list>
.

from the github page for locker project

On Tue, Mar 18, 2014 at 12:44 PM, José Antonio Rey <email address hidden> wrote:

> The status of The Locker Project is currently inactive, do we still want
> a charm for this? Install fails with various errors.
>
> --
> You received this bug notification because you are a member of charmers,
> which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/898714
>
> Title:
> Charm Needed: The Locker Project
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/charms/+bug/898714/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers